microsoft-foundry.rest.security.o-auth2-auth
Memory Stores
Delete memories by scope
POST
/memory_stores/{name}:delete_scope
Deletes all memories in the specified memory store that are associated with the provided scope.
Parameter header
Foundry-Features
enum
diperlukan
A feature flag opt-in required when using preview operations or modifying persisted preview resources.
MemoryStores=V1Preview
Parameter jalur
name
string
diperlukan
The name of the memory store.
Parameter kueri
api-version
string
diperlukan
The API version to use for this operation.
Isi Permintaan
Content-Type: application/json
scope
string
diperlukan
The namespace that logically groups and isolates memories to delete, such as a user ID.
Respons
The request has succeeded.
Isi
Content-Type: application/json
object
enum
diperlukan
The object type. Always 'memory_store.scope.deleted'.
memory_store.scope.deleted
name
string
diperlukan
The name of the memory store.
scope
string
diperlukan
The scope from which memories were deleted.
deleted
boolean
diperlukan
Whether the deletion operation was successful.
Minta
POST /memory_stores/{name}:delete_scope HTTP/1.1
Tanggapan
Status: 200
Content-Type: application/json
Status: 4XX
Content-Type: application/json
Status: 5XX
Content-Type: application/json